package com.qmth.themis.business.dto;

import com.qmth.themis.business.annotation.ExcelNote;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 考场导出 dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/20
 */
public class MarkResultSimpleExportDto {

    @ApiModelProperty(value = "批次名称")
    @ExcelNote(value = "批次名称")
    private String examName;

    @ExcelNote(value = "姓名")
    @ApiModelProperty(name = "姓名")
    private String name;

    @ApiModelProperty(name = "证件号")
    @ExcelNote(value = "证件号")
    private String identity;

    @ApiModelProperty(name = "科目代码")
    @ExcelNote(value = "科目代码")
    private String courseCode;

    @ApiModelProperty(name = "科目名称")
    @ExcelNote(value = "科目名称")
    private String courseName;

    @ExcelNote(value = "考场代码")
    private String roomCode; //考场代码

    @ExcelNote(value = "考场名称")
    private String roomName; //考场名称

    @ApiModelProperty(value = "年级")
    @ExcelNote(value = "年级")
    private String grade;

    @ApiModelProperty(value = "教学班级")
    @ExcelNote(value = "教学班级")
    private String classNo;

    @ApiModelProperty(value = "是否缺考")
    @ExcelNote(value = "是否缺考")
    private Boolean examAbsent;

    @ApiModelProperty(value = "违纪次数")
    @ExcelNote(value = "违纪次数")
    private Integer breachCount;

    @ApiModelProperty(value = "考试次数")
    @ExcelNote(value = "examCount")
    private Integer examCount;

    @ApiModelProperty(value = "客观分")
    @ExcelNote(value = "客观分")
    private Double objectiveScore;

    @ApiModelProperty(value = "主观分")
    @ExcelNote(value = "主观分")
    private Double subjectiveScore;

    @ApiModelProperty(value = "总分")
    @ExcelNote(value = "总分")
    private Double sumScore;

    public String getRoomCode() {
        return roomCode;
    }

    public void setRoomCode(String roomCode) {
        this.roomCode = roomCode;
    }

    public String getRoomName() {
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getIdentity() {
        return identity;
    }

    public void setIdentity(String identity) {
        this.identity = identity;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getClassNo() {
        return classNo;
    }

    public void setClassNo(String classNo) {
        this.classNo = classNo;
    }

    public Boolean getExamAbsent() {
        return examAbsent;
    }

    public void setExamAbsent(Boolean examAbsent) {
        this.examAbsent = examAbsent;
    }

    public Integer getBreachCount() {
        return breachCount;
    }

    public void setBreachCount(Integer breachCount) {
        this.breachCount = breachCount;
    }

    public Integer getExamCount() {
        return examCount;
    }

    public void setExamCount(Integer examCount) {
        this.examCount = examCount;
    }

    public Double getObjectiveScore() {
        return objectiveScore;
    }

    public void setObjectiveScore(Double objectiveScore) {
        this.objectiveScore = objectiveScore;
    }

    public Double getSubjectiveScore() {
        return subjectiveScore;
    }

    public void setSubjectiveScore(Double subjectiveScore) {
        this.subjectiveScore = subjectiveScore;
    }

    public Double getSumScore() {
        return sumScore;
    }

    public void setSumScore(Double sumScore) {
        this.sumScore = sumScore;
    }
}
